#!/usr/bin/env python

import getopt
import sys
import sss.ssslib
from elementtree.ElementTree import Element, SubElement, tostring

values = {}
for i in ['component','host','port','protocol','schema_version','tier']:
    values[i] = ''

if len(sys.argv) == 1:
    print "Usage: sdremove.py [-d] [-n] [-c component] [-h host] [-p port] [-r protocol] [-s schema_version] [-t tier]"
    sys.exit(1)

try:
    (opts,args) = getopt.getopt(sys.argv[1:],'dnc:h:p:r:s:t:')
except getopt.GetoptError, msg:
    print "Usage: sdremove.py [-d] [-n] [-c component] [-h host] [-p port] [-r protocol] [-s schema_version] [-t tier]"
    print msg

for (opt,arg) in opts:
    if opt == '-c':
        values['component'] = arg
    elif opt == '-h':
        values['host'] = arg
    elif opt == '-p':
        values['port'] = arg
    elif opt == '-r':
        values['protocol'] = arg
    elif opt == '-s':
        values['schema_version'] = arg
    elif opt == '-t':
        values['tier'] = arg

dl = Element("del-location")
loc = SubElement(dl, "location")
for i in ['component','host','port','protocol','schema_version','tier']:
    tmp = SubElement(loc, i)
    tmp.text = values[i]
    if values[i] == '':
        tmp.attrib['match'] = 'false'
xml = tostring(dl)

if not ('-n' in sys.argv):
    comm = sss.ssslib.comm_lib(debug=('-d' in sys.argv))
    handle = comm.ClientInit("service-directory")
    comm.SendMessage(handle,xml)
    resp = comm.RecvMessage(handle)
    comm.ClientClose(handle)
    print resp
else:
    print xml
